DUMPFS(8) | System Manager's Manual | DUMPFS(8)

# NAME

`dumpfs` — dump file system information

# SYNOPSIS

`dumpfs` | [`-acFijmsv`] filesys | device [...]

# DESCRIPTION

`dumpfs` prints out detailed information about the specified filesystems.

Options:

`-a`
  Print details from each alternate superblock.
`-c`
  Print details of each cylinder group.
`-F`
  Dump a file system image from a file, not a special device.
`-i`
  Print details of each allocated inode.
`-j`
  Print details of the WAPBL journal.
`-m`
  Print details of the cylinder group summary.
`-s`
  Print details of the superblock.
`-v`
  Be even more verbose.

If none of `-a`, `-c`, `-i`, `-j`, `-m`, or `-s` are given, then `dumpfs` defaults to `-cmsv`.

`dumpfs` is useful mostly for finding out certain file system information such as the file system block size, minimum free space percentage, and (for FFSv1) the file system level that can be upgraded with the `-c` option of fsck_ffs(8). All of this information is output by `dumpfs` `-s`.

# SEE ALSO

disktab(5), fs(5), disklabel(8), fsck(8), fsck_ffs(8), newfs(8), tunefs(8)

# HISTORY

The `dumpfs` command appeared in 4.2BSD. The `-a`, `-c`, `-i`, `-m`, and `-s` options, and the inode dump were added for NetBSD 2.0. The `-j`, option was added for NetBSD 6.0.

February 27, 2010 | NetBSD 11.99